System.Web 2.0.0.0 System.Object System.Collections.ICollection System.Web.UI.IStateManager

The class is used to store and manage a collection of objects. A object represents the primary key of a record in a data-bound control. In general, data-bound controls that display multiple records (such as the control) use a object to store the objects for the records displayed in the control.

The class supports several ways to access the items in the collection:

Use the indexer to directly retrieve a object from the collection at a specific zero-based index.

Use the method to retrieve an enumerator that can be used to iterate through the collection.

Use the method to copy the items in the collection into an array, which can then be used to access the items in the collection.

To determine the total number of items in the collection, use the property.

Represents a collection of objects. This class cannot be inherited.

- Constructor

  Use this constructor to initialize a new instance of the class using the specified object. The object contains the objects with which to populate the collection.

  Initializes a new instance of the class.

  An of objects with which to populate the collection.
  2.0.0.0
- Method
  System.Void `` ``

  Use the method to copy the items from the collection into the specified array, starting at the specified index. The array can then be used to access the items in the collection.

  You must use a zero-based array for the parameter.

  Copies all the items from this collection to the specified array of objects, starting at the specified index in the array.

  A zero-based array of objects that receives the copied items from the collection. The first index in the specified array to receive the copied contents. 2.0.0.0
- Property
  System.Int32 To be added.

  Use the property to determine the number of items in the collection. The property is commonly used when iterating through the collection to determine its upper bound. The property is also commonly used to determine whether a collection is empty.

  Gets the number of items in the collection.

  2.0.0.0
- Method
  System.Collections.IEnumerator

  Use the method to get an enumerator that can be iterated through linearly to access each item in the collection. To access the item at the current position in the enumerator, use the property. Use the method to move to the next item in the collection. To move the enumerator to its initial position, use the method.

  When you initially get the enumerator or use the method to move the enumerator to the first item in the collection, you must call the method. Otherwise, the item represented by the property is undefined.

  Returns an enumerator that contains all objects in the collection.

  An -implemented object that contains all objects in the collection.

  2.0.0.0
- Property
  System.Boolean To be added.

  Use the property to determine whether the items in the collection can be modified.

  This property has been overridden to always return false, to indicate that the objects in the object can be added or removed. The objects themselves cannot be changed.

  Gets a value indicating whether the items in the collection can be modified.

  2.0.0.0
- Property
  System.Boolean To be added.

  Use the property to determine whether the object is thread safe.

  This property has been overridden to always return false to indicate that the object is not thread safe.

  For more information on the property, see the property of the interface.

  Gets a value indicating whether the collection is synchronized (thread safe).

  2.0.0.0
- Property
  System.Web.UI.WebControls.DataKey `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Object To be added.

  Use the property to get an object that can be used to synchronize access to the collection. The object returned in this implementation is the object itself.

  For more information on the property, see the property of the interface.

  Gets the object used to synchronize access to the collection.

  2.0.0.0
- Method
  2.0.0.0
  System.Void `` ``

  This implementation of the method is a helper method used by the class to copy the items in the collection into the specified , starting at the specified index. The can then be used to access the items in the collection.

  You must use a zero-based for the parameter.

  Copies all the items from this collection to the specified , starting at the specified index in the .

  A zero-based that receives the copied items from the collection. The first index in the specified to receive the copied contents.
- Property
  2.0.0.0
  System.Boolean To be added.

  The property is used to determine whether the object is tracking its view-state changes.

  This property is used primarily by control developers.

  Gets a value indicating whether the object is tracking its view-state changes.

- Method
  2.0.0.0
  System.Void `` To be added.

  The method is used to load the previously saved view state of the object.

  Loads the previously saved view state of the object.

- Method
  2.0.0.0
  System.Object

  The method is a helper method used by the class to save the state of the object.

  Saves the current view state of the object.

  An that contains the saved state of the .

- Method
  2.0.0.0
  System.Void

  This method is overridden to mark the starting point at which to begin tracking and saving changes to the object as part of the object's view state.

  Marks the starting point at which to begin tracking and saving view-state changes to the object.